Range-v3 Range algorithms, views, and actions for the Standard Library |

Synopsis of methods | Public Member Functions | List of all members
ranges::action::split_fn Struct Reference

## Synopsis of methods
constexpr action< split_fn > | split {}
constexpr action< split_when_fn > | split_when {}

## Public Member Functions
template<typename Rng , typename Pattern >
auto | operator() (Rng &&rng, Pattern &&pattern) const -> std::vector< split_value_t< Rng >> requires input_range< Rng > &&viewable_range< Pattern > &&forward_range< Pattern > &&indirectly_comparable< iterator_t< Rng >, iterator_t< Pattern >, ranges::equal_to > &&(forward_range< Rng >||detail::tiny_range< Pattern >)
template<typename Rng >
auto | operator() (Rng &&rng, range_value_t< Rng > val) const -> std::vector< split_value_t< Rng >> requires input_range< Rng > &&indirectly_comparable< iterator_t< Rng >, range_value_t< Rng > const *, ranges::equal_to >